Class | ActiveSupport::Inflector::Inflections
In: | lib/active_support/inflector.rb
Parent: | Object

A singleton instance of this class is yielded by Inflector.inflections, which can then be used to specify additional inflection rules. Examples:

      ActiveSupport::Inflector.inflections do |inflect|
        inflect.plural /^(ox)$/i, '\1\2en'
        inflect.singular /^(ox)en/i, '\1'

        inflect.irregular 'octopus', 'octopi'

        inflect.uncountable "equipment"
      end

New rules are added at the top. So in the example above, the irregular rule for octopus will now be the first of the pluralization and singularization rules that is runs. This guarantees that your rules run before any of the rules that may already have been loaded.

### Methods

clear human irregular new plural singular uncountable

### Included Modules

Singleton

### Attributes

humans | [R] |
plurals | [R] |
singulars | [R] |
uncountables | [R] |

### Public Class methods

new()

### Public Instance methods

clear(scope = :all)

Clears the loaded inflections within a given scope (default is `:all`). Give the scope as a symbol of the inflection type, the options are: `:plurals`, `:singulars`, `:uncountables`, `:humans`.

Examples:

      clear :all
      clear :plurals

human(rule, replacement)

Specifies a humanized form of a string by a regular expression rule or by a string mapping. When using a regular expression based replacement, the normal humanize formatting is called after the replacement. When a string is used, the human form should be specified as desired (example: ‘The name’, not ‘the_name’)

Examples:

      human /_cnt$/i, '\1_count'
      human "legacy_col_person_name", "Name"

irregular(singular, plural)

Specifies a new irregular that applies to both pluralization and singularization at the same time. This can only be used for strings, not regular expressions. You simply pass the irregular in singular and plural form.

Examples:

      irregular 'octopus', 'octopi'
      irregular 'person', 'people'

plural(rule, replacement)

Specifies a new pluralization rule and its replacement. The rule can either be a string or a regular expression. The replacement should always be a string that may include references to the matched data from the rule.

singular(rule, replacement)

Specifies a new singularization rule and its replacement. The rule can either be a string or a regular expression. The replacement should always be a string that may include references to the matched data from the rule.

uncountable(*words)

Add uncountable words that shouldn‘t be attempted inflected.

Examples:

      uncountable "money"
      uncountable "money", "information"
      uncountable %w( money information rice )

[Validate]